Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0015907
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] C. Securitymajoralways2011-02-07 12:482011-02-22 11:55
ReporterjonalegriaesarteView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branch2.50Fixed in SCM revisionce8c13ed21b7
ProjectionnoneETAnoneTarget Version2.50MP27
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP26SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0015907: Permissions to processes are not respected

DescriptionPermissions to processes are not respected.
Steps To Reproduce1) Log with user Openbravo with Openbravo Admin role.
2) Create a new role named My Role, select Manual.
3) Give it access ONLY to window Sales Invoice
4) Create a new user named myuser and assign him MyRole role.
5) Log in with user myuser and create a sales invoice with lines.
6) Click on Complete button.

Even if you have not been given access to Complete Invoice process you are able to
make this process.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00158742.50MP27 closedalostale Permissions to processes are not respected 

-  Notes
(0034111)
hgbot (developer)
2011-02-09 17:33

Repository: erp/stable/2.50
Changeset: ce8c13ed21b77502d4673ac7c35120b9d8daa089
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Feb 09 17:33:28 2011 +0100
URL: http://code.openbravo.com/erp/stable/2.50/rev/ce8c13ed21b77502d4673ac7c35120b9d8daa089 [^]

fixed bug 15907: Permissions to processes are not respected

---
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-wad/src/org/openbravo/wad/javasource.javaxml
---
(0034122)
hgbot (developer)
2011-02-10 09:32

Repository: erp/stable/2.50
Changeset: d2395c19ca019bac36d20d037babe092fdbdfe6c
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Feb 10 09:29:24 2011 +0100
URL: http://code.openbravo.com/erp/stable/2.50/rev/d2395c19ca019bac36d20d037babe092fdbdfe6c [^]

related to issue 15907: Reseting to tabId, not window Id

---
M src-wad/src/org/openbravo/wad/javasource.javaxml
---
(0034123)
hgbot (developer)
2011-02-10 09:32

Repository: erp/stable/2.50
Changeset: e3f618272cb996b9356d85875927b3708ae008c3
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Feb 10 09:32:04 2011 +0100
URL: http://code.openbravo.com/erp/stable/2.50/rev/e3f618272cb996b9356d85875927b3708ae008c3 [^]

related to issue 15907: get preferences from string params

---
M src/org/openbravo/erpCommon/businessUtility/Preferences.java
---
(0034125)
hgbot (developer)
2011-02-10 10:35

Repository: erp/stable/2.50
Changeset: 54b8cc028e6f05cffc898741a6269bdf2349f7c7
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Feb 10 10:34:55 2011 +0100
URL: http://code.openbravo.com/erp/stable/2.50/rev/54b8cc028e6f05cffc898741a6269bdf2349f7c7 [^]

related to issue 15907: Don't use 3.0 method

---
M src-wad/src/org/openbravo/wad/javasource.javaxml
---
(0034128)
hgbot (developer)
2011-02-10 11:24

Repository: erp/stable/2.50
Changeset: 068a281b42cdbc20376bdd86951b0c4803b21c53
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Feb 10 11:23:53 2011 +0100
URL: http://code.openbravo.com/erp/stable/2.50/rev/068a281b42cdbc20376bdd86951b0c4803b21c53 [^]

related to issue 15907: Fix Login.java

---
M src/org/openbravo/erpCommon/security/Login.java
---
(0034301)
iperdomo (developer)
2011-02-22 11:55

Reviewed on 2.50 at rev d8ed25331b2a

- Issue History
Date Modified Username Field Change
2011-02-09 17:31 alostale Type defect => backport
2011-02-09 17:31 alostale fix_in_branch => 2.50
2011-02-09 17:33 hgbot Checkin
2011-02-09 17:33 hgbot Note Added: 0034111
2011-02-09 17:33 hgbot Status scheduled => resolved
2011-02-09 17:33 hgbot Resolution open => fixed
2011-02-09 17:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/stable/2.50/rev/ce8c13ed21b77502d4673ac7c35120b9d8daa089 [^]
2011-02-10 09:32 hgbot Checkin
2011-02-10 09:32 hgbot Note Added: 0034122
2011-02-10 09:32 hgbot Checkin
2011-02-10 09:32 hgbot Note Added: 0034123
2011-02-10 10:35 hgbot Checkin
2011-02-10 10:35 hgbot Note Added: 0034125
2011-02-10 11:24 hgbot Checkin
2011-02-10 11:24 hgbot Note Added: 0034128
2011-02-22 11:55 iperdomo Note Added: 0034301
2011-02-22 11:55 iperdomo Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker